Subject: Re: [bug#53257] [PATCH] gnu: foot: Wrap the program to expose TERMINFO_DIRS

From: Kevin Boulain <[email-masked]>
Date: Tue, 1 Mar 2022 20:34:26 +0100

> You'll need to add 'bash-minimal' to 'inputs', such that this works
> even when cross-compiling.  I think "./pre-inst-env guix lint foot"
> would warn about this.

It does warn about it, I only ran './pre-inst-env guix style foot'
(but I limited the reformatting to my changes), my bad.

> Also, this can be simplified a bit, to [...]

Yup, thanks!

> Yes, this was the idea, though to be 100% sure it would need to be tested (by running "guix shell --pure foot -- foot" and then running
> ~/.guix-profile/bin/SOME-NCURSES-APP in the terminal, or something like that.

I confirm it works (for example tput doesn't complain anymore and I
can start emacs -nw).